pcl::PrincipalCurvatures Struct Reference
Module common

A point structure representing the principal curvatures and their magnitudes. More...

`#include <pcl/impl/point_types.hpp>`

## Public Attributes

union {
float principal_curvature [3]
struct {
float principal_curvature_x
float principal_curvature_y
float principal_curvature_z
} |
}; |
float | pc1
float | pc2

## Friends

std::ostream & | operator<< (std::ostream &os, const PrincipalCurvatures &p)

## Detailed Description

A point structure representing the principal curvatures and their magnitudes.

Definition at line 1096 of file point_types.hpp.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const PrincipalCurvatures & | p
| ) |  |

friend

## Member Data Documentation

union { ... }

float pcl::PrincipalCurvatures::pc1

Definition at line 1108 of file point_types.hpp.

float pcl::PrincipalCurvatures::pc2

Definition at line 1109 of file point_types.hpp.

float pcl::PrincipalCurvatures::principal_curvature[3]

Definition at line 1100 of file point_types.hpp.

float pcl::PrincipalCurvatures::principal_curvature_x

Definition at line 1103 of file point_types.hpp.

float pcl::PrincipalCurvatures::principal_curvature_y

Definition at line 1104 of file point_types.hpp.

float pcl::PrincipalCurvatures::principal_curvature_z

Definition at line 1105 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/common/include/pcl/impl/point_types.hpp